Bug 2219406 - Lockups and black screens - AMD GPU related
Summary: Lockups and black screens - AMD GPU related
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 38
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-07-03 13:52 UTC by Jerry Kiely
Modified: 2024-05-28 13:19 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-28 13:19:20 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
kernel logs (166.21 KB, text/plain)
2023-07-03 13:52 UTC, Jerry Kiely
no flags Details

Description Jerry Kiely 2023-07-03 13:52:50 UTC
Created attachment 1973884 [details]
kernel logs

1. Please describe the problem:

after installing kernels version 6.3.9, 6.3.10, and 6.3.11 on three laptops with AMD hardware:

Lenovo Thinkpad X395 (CPU + iGPU)
Lenovo Legion 15 (CPU + iGPU & dGPU)
Slimbook Titan (CPU + iGPU)

system will either boot to a black screen, or randomly freeze and require forced reboot (power cycle).


2. What is the Version-Release number of the kernel:

6.3.11

(also a problem for 6.3.9 and 6.3.10)


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

6.3.9


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

1) install kernel
2) reboot
3) either black screen at boot, or freeze after a random period


5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

I haven't tried with the latest rawhide kernel - will try later and report back.

6. Are you running any modules that not shipped with directly Fedora's kernel?:

Nvidia kernel modules on one of the three laptops affected, on the other two laptops no extra modules.

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Jerry Kiely 2023-07-04 18:42:21 UTC
Affected Laptops:



Slimbook Titan

Ryzen 9 5900HX with Radeon Graphics
Radeon Vega Series / Radeon Vega Mobile Series
GeForce RTX 3070 Mobile / Max-Q



Lenovo Legion 5

Ryzen 7 5800H with Radeon Graphics
Radeon Vega Series / Radeon Vega Mobile Series
Radeon RX 6600/6600 XT/6600M

Comment 2 Ivan 2023-10-05 11:30:55 UTC
The same problem occurs on my laptop. Although I manage to login into the system, however, after silmultaniously running severeal apps - the system freezes. 

Acer Aspire A315-23
Processor: AMD Athlon Silver 3050U with Radeon™ Graphics × 2
GPU: AMD Radeon™ Graphics
RAM: 12.0 GB
Kernel Version: Linux 6.5.5-200.fc38.x86_64

Comment 3 Justin M. Forbes 2023-10-05 14:08:45 UTC
This is likely a dup of https://bugzilla.redhat.com/show_bug.cgi?id=2240859
Would everyone give that scratch build in there a try and see if that fixes things?

Comment 4 Aoife Moloney 2024-05-28 13:19:20 UTC
Fedora Linux 38 entered end-of-life (EOL) status on 2024-05-21.

Fedora Linux 38 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.